function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var highlightWords = _interopDefault(require('highlight-words'));

var WordsHighlight = function WordsHighlight(_ref) {
  var text = _ref.text,
      query = _ref.query,
      matchExactly = _ref.matchExactly,
      _ref$highlightTag = _ref.highlightTag,
      highlightTag = _ref$highlightTag === void 0 ? 'mark' : _ref$highlightTag,
      highlightClassName = _ref.highlightClassName;
  var chunks = highlightWords({
    text: text,
    query: query,
    matchExactly: matchExactly
  });
  return React.createElement(React.Fragment, null, chunks.map(function (chunk) {
    if (!chunk.match) {
      return React.createElement("span", {
        key: chunk.key
      }, chunk.text);
    }

    var Tag = highlightTag;
    return React.createElement(Tag, {
      key: chunk.key,
      className: highlightClassName
    }, chunk.text);
  }));
};

WordsHighlight.displayName = 'WordsHighlight';

exports.WordsHighlight = WordsHighlight;
//# sourceMappingURL=index.js.map
