import { createElement, Fragment } from 'react';
import highlightWords from 'highlight-words';

var WordsHighlight = function WordsHighlight(_ref) {
  var text = _ref.text,
      query = _ref.query,
      matchExactly = _ref.matchExactly,
      _ref$highlightTag = _ref.highlightTag,
      highlightTag = _ref$highlightTag === void 0 ? 'mark' : _ref$highlightTag,
      highlightClassName = _ref.highlightClassName;
  var chunks = highlightWords({
    text: text,
    query: query,
    matchExactly: matchExactly
  });
  return createElement(Fragment, null, chunks.map(function (chunk) {
    if (!chunk.match) {
      return createElement("span", {
        key: chunk.key
      }, chunk.text);
    }

    var Tag = highlightTag;
    return createElement(Tag, {
      key: chunk.key,
      className: highlightClassName
    }, chunk.text);
  }));
};

WordsHighlight.displayName = 'WordsHighlight';

export { WordsHighlight };
//# sourceMappingURL=index.modern.js.map
